/find_payments

A dedicated endpoint for retrieving an order's payment history with explicit control over sorting, limiting, and pagination. This endpoint allows clients to retrieve a list of payments for a specific order directly via the site_order_identifier or the pnm_order_identifier or for a specific customer directly via the pnm_customer_identifier or the site_customer_identifier. This endpoint is only for returning regular consumer payments and not disbursements (use the /find_disbursements endpoint for push payments).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Retrieves the payment history for a specific order or customer.

string
required

The unique, PayNearMe-defined identifier for this order.

string
required
Defaults to S2411573363

Identifies your client site.

string
required

The Unix Epoch time of the call

string
required
Defaults to 3.0

The version of the API. This version must match the version associated with your API key pair.

string
required

The HMAC signature that is calculated by running your API Secret Key and the alphabetized, concatenated parameters of the request payload through the SHA256 message digest algorithm.

string

An arbitrary string that the client uses to refer to an order.

string

A unique PNM-defined ID for the consumer..

string

A unique, client-defined ID for the consumer.

string
enum
Defaults to desc

Sort direction: 'asc' (oldest first) or 'desc' (newest first). Default: 'desc'

Allowed:
integer

Used for pagination, this parameter specifies the maximum number of payments to return. Default value is 10.

integer

Used for pagination, this parameter specifies the number of payments to skip within the response. Default value is 0.

date

Filter payments on or after this date (YYYY-MM-DD)

date

Filter payments on or before this date (YYYY-MM-DD)

Response

Language
URL
LoadingLoading…
Response
Choose an example:
application/json